Package com.salesforce.datacloud.jdbc.http

## Class FormCommand.Builder

- java.lang.Object
- - com.salesforce.datacloud.jdbc.http.FormCommand.Builder

Enclosing class:
  FormCommand

    public static class FormCommand.Builder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`FormCommand.Builder` `bodyEntries​(Map<? extends String,​? extends String> bodyEntries)`
`FormCommand.Builder` `bodyEntry​(String bodyEntryKey, String bodyEntryValue)`
`FormCommand` `build()`
`FormCommand.Builder` `clearBodyEntries()`
`FormCommand.Builder` `clearHeaders()`
`FormCommand.Builder` `clearQueryParameters()`
`FormCommand.Builder` `header​(String headerKey, String headerValue)`
`FormCommand.Builder` `headers​(Map<? extends String,​? extends String> headers)`
`FormCommand.Builder` `queryParameter​(String queryParameterKey, String queryParameterValue)`
`FormCommand.Builder` `queryParameters​(Map<? extends String,​? extends String> queryParameters)`
`FormCommand.Builder` `suffix​(@NonNull URI suffix)`
`String` `toString()`
`FormCommand.Builder` `url​(@NonNull URI url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### url

    public FormCommand.Builder url​(@NonNull
                                   @NonNull URI url)

Returns:
  `this`.

#### suffix

    public FormCommand.Builder suffix​(@NonNull
                                      @NonNull URI suffix)

Returns:
  `this`.

#### header

    public FormCommand.Builder header​(String headerKey,
                                      String headerValue)

#### headers

    public FormCommand.Builder headers​(Map<? extends String,​? extends String> headers)

#### clearHeaders

    public FormCommand.Builder clearHeaders()

#### bodyEntry

    public FormCommand.Builder bodyEntry​(String bodyEntryKey,
                                         String bodyEntryValue)

#### bodyEntries

    public FormCommand.Builder bodyEntries​(Map<? extends String,​? extends String> bodyEntries)

#### clearBodyEntries

    public FormCommand.Builder clearBodyEntries()

#### queryParameter

    public FormCommand.Builder queryParameter​(String queryParameterKey,
                                              String queryParameterValue)

#### queryParameters

    public FormCommand.Builder queryParameters​(Map<? extends String,​? extends String> queryParameters)

#### clearQueryParameters

    public FormCommand.Builder clearQueryParameters()

#### build

    public FormCommand build()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`